芯路恒电子技术论坛

 找回密码
 立即注册

扫一扫,访问微社区

热搜: 活动
查看: 266|回复: 0

Petalinux安装中报错处理

[复制链接]

该用户从未签到

5

主题

5

帖子

29

积分

新手上路

Rank: 2

积分
29
发表于 2021-9-6 07:57:35 | 显示全部楼层 |阅读模式
本帖最后由 磕磕碰碰 于 2021-9-6 19:21 编辑

安装 Petalinux 之前安装依赖库以及软件
问题:使用apt-get 安装文件时,显示如下错误:

   正在卸载 tftpd-hpa (0.8.2) ...
   /var/lib/dpkg/info/tftpd-hpa.postrm: 3: letc/default/tftod-hpa: TFTP USERNAME: lsb_release: not found
   dpkg: 处理软件包 tftpd-hpa (--remove)时出错:
   子进程 已安装 post-removal 脚本 返回错误状态 127

图片1.png

解决:
sudo gedit /var/lib/dpkg/status
通过contrl+F找到卸载报错的package,我这里显示是tftpd-hpa,删掉对应的一整段(即下一个package:之前)

图片2.png

保存退出再执行apt-get对应命令就ok了,没有在报错

图片3.png

原以为已经安装好依赖库以及软件,安装Petalinux时报错提示您缺少PetaLinux所需的下列系统工具。

图片4.png
再次安装依赖库以及软件后进行安装解决问题

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|小黑屋|手机版|Archiver|芯路恒电子技术论坛  |鄂ICP备2021003648号

GMT+8, 2021-10-19 11:03 , Processed in 0.066337 second(s), 14 queries , File On.

Powered by Discuz! X3.3

© 2001-2017 Comsenz Inc. Template By 【未来科技】【 www.wekei.cn 】

快速回复 返回顶部 返回列表